<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>intermédia eszközkölcsönzés</title>
  <link rel="shortcut icon" href="#" type="image/x-icon">
  <style>
    @import url("https://netdna.bootstrapcdn.com/font-awesome/4.0.3/css/font-awesome.css");
    html * {
      font-family: monospace;
    }
    h1 {
      text-align: center;
      text-transform: uppercase;
    }
    * {
      box-sizing: border-box;
    }
    body {
      padding: 0.2em 2em;
    }
    table {
      width: 100%;
      border-collapse: collapse;
    }
    table, th, td, tr {
      white-space: nowrap;
    }
    table th {
      text-align: left;
      background-color: #999;
    }
    table th, table td {
      padding: 0.4em;
    }
    table.fold-table > tbody > tr.view td, table.fold-table > tbody > tr.view th {
      cursor: pointer;
    }
    table.fold-table > tbody > tr.view td:first-child,
    table.fold-table > tbody > tr.view th:first-child {
      position: relative;
      padding-left: 20px;
    }
    table.fold-table > tbody > tr.view:nth-child(4n-1) {
      background: #ccc;
    }
    table.fold-table > tbody > tr.view td:first-child:before,
    table.fold-table > tbody > tr.view th:first-child:before {
      position: absolute;
      top: 50%;
      left: 5px;
      width: 9px;
      height: 16px;
      margin-top: -8px;
      font: 16px fontawesome;
      color: #000;
      content: "";
      transition: all 0.3s ease;
    }
    table.fold-table > tbody > tr.view.open td:first-child:before, table.fold-table > tbody > tr.view.open th:first-child:before {
      transform: rotate(-180deg);
      color: #000;
    }
    table.fold-table > tbody > tr.fold {
      display: none;
    }
    table.fold-table > tbody > tr.fold.open {
      display: table-row;
    }
    .fold-content {
      padding: 0.5em;
      padding: 0;
      margin: 0;
    }
    .fold-content h3 {
      margin-top: 0;
    }
    table > tbody > tr, th, td {
      border: 1px dotted #333;
    }
    td {
      max-width: 360px;
      overflow: hidden;
      white-space: nowrap;
      text-overflow: ellipsis;
    }
    #regulations {
      max-width: 500px;
    }
    .available {
      background-color: #c8e6c9;
    }
    .missing {
      background-color: #fff9c4;
    }
    .rented {
      background-color: #ffcdd2;
    }
    tr:nth-child(even) {
      filter: brightness(90%);
    }
    .table-container {
      overflow-x: auto;
      display: block;
    }
    table {
      width: 100%;
      border-collapse: collapse;
    }
    table, th, td, tr {
      white-space: normal;
    }
    table th {
      text-align: left;
      background-color: #999;
    }
    table th, table td {
      padding: 0.4em;
    }
    table.fold-table > tbody > tr.view td, 
    table.fold-table > tbody > tr.view th {
      cursor: pointer;
    }
    table.fold-table > tbody > tr.view td:first-child,
    table.fold-table > tbody > tr.view th:first-child {
      position: relative;
      padding-left: 20px;
    }
    table.fold-table > tbody > tr.view:nth-child(4n-1) {
      background: #ccc;
    }
    table.fold-table > tbody > tr.view td:first-child:before,
    table.fold-table > tbody > tr.view th:first-child:before {
      position: absolute;
      top: 50%;
      left: 5px;
      width: 9px;
      height: 16px;
      margin-top: -8px;
      font: 16px fontawesome;
      color: #000;
      content: "";
      transition: all 0.3s ease;
    }
    table.fold-table > tbody > tr.view.open td:first-child:before, 
    table.fold-table > tbody > tr.view.open th:first-child:before {
      transform: rotate(-180deg);
      color: #000;
    }
    table.fold-table > tbody > tr.fold {
      display: none;
    }
    table.fold-table > tbody > tr.fold.open {
      display: table-row;
    }
    .fold-content {
      padding: 0.5em;
      padding: 0;
      margin: 0;
    }
    .fold-content h3 {
      margin-top: 0;
    }
    table > tbody > tr, th, td {
      border: 1px dotted #333;
    }
    td {
      max-width: 360px;
      overflow: hidden;
      white-space: normal;
      text-overflow: ellipsis;
      word-break: break-word;
      overflow-wrap: break-word;
    }
  </style>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
</head>
<body>
  <h1>intermédia eszközkölcsönzés</h1><br><br>
  
  <h2>Demonstrátorok:</h2>
  <div id="demos"></div><br><br>
  
  <h2>Eszközök:</h2>
  <table class="fold-table">
    <tbody id="equipmentTable"></tbody>
  </table><br><br>
  
  <div id="regulations">
    <h2>Szabályzat:</h2>
    <div>
      <p> <b>Általános szabályok:</b> </p>
      <p>Az Intermédia Tanszék hallgatói a tanszéki eszközöket tanulmányi célra rendeltetésszerűen használhatják. Az eszközöket másnak nem engedhetik át. A hallgatók felelnek azért, hogy a használt eszközt védjék, szakszerűen kezeljék, az észlelt hibát időben bejelentsék és megelőzzék a további károsodást. A kölcsönözhető eszközök a demonstrátoroktól vehetők át, és nekik adhatók vissza. A kölcsönzés a kölcsönzési idő meghatározásával, a kölcsönző személy aláírása ellenében történik. Kölcsönző az átvett eszközért teljes körű felelősséggel tartozik. A megállapított egyéni felelősséget a Tanulmányi Osztály felé jelenteni kell, ennek Neptunban rögzített tartozás a következménye. Egy kikölcsönzött eszközt maximum 3 munkanapig lehet a hallgatónál. Celluloid filmre dolgozó fényképezőgépek esetében maximum 10 napig. A kölcsönzés meghosszabbítható a 2. pont szerint.</p>
      
      <p> <b>Kölcsönzés:</b> </p>
      <p>A hallgatók a tanév elején a szakoktatóktól tájékoztatást kapnak az Intermédia Tanszékről kivehető eszközök működésével kapcsolatban. A tájékoztatáson részt vett hallgatók aláírással igazolják a szabályzatban foglaltak elfogadását. Csak azok a hallgatók kölcsönözhetik ki az oktatási eszközöket, akik a tájékoztatón részt vettek és elfogadták a feltételeket. Az eszközöket zárt szekrényben tároljuk. Az eszközök előzetes igénybejelentés alapján, személyesen vehetők át. A kölcsönzési igény előre jelezhető a kölcsönzőszekrényen belüli kifüggesztett lapon, illetve a demonstrátorok elérhetőségein. A demonstrátorok aktuális elérhetőségei a kölcsönzőszekrényen megtalálhatók. A kölcsönzési szándékot legalább 3 nappal előre kell jelezni. A kölcsönzési sorrend változik, ha egy diplomázó hallgató szeretne kölcsönözni. A Canon 6D, GO PRO, ZOOM H6, Canon Legria népszerű a hallgatók körében, kérjük időbe jelezzék a kölcsönzési szándékot. Az átvétel kölcsönzőjeggyel történik. A kölcsönzőjegyen szerepel az eszközt átadó demonstrátor és az átvevő hallgató olvasható aláírása, a kölcsönzés ideje és intervalluma, az eszköz aktuális állapota. A hallgató köteles az eszközt a megjelölt visszavételi időpontban tartozékaival együtt visszahozni, az esetleges meghibásodásokat, problémákat jelezni. A nem rendeltetésszerű használatból fakadó meghibásodás esetén a károkozó köteles a kárt megtéríteni. A visszavétel csak személyesen történhet, a hallgatók egymásnak a kölcsönzött eszközöket nem adhatják át. A kölcsönző feladata a visszavétel előtt az eszköz akkumulátorának feltöltése valamint a memóriakártya kiürítése. A kölcsönözhető memóriakártyák száma kevés. A memóriakártyakölcsönzés indokolt esetben engedélyezett. A kölcsönzés meghosszabbítható, amennyiben senki más nem jelezte, hogy kivenné az adott eszközt. Indokolt esetben a hallgató a kölcsönzési szabályzatban engedélyezett időtartalmon felül is kikölcsönözheti az eszköz(öke)t. Ehhez a tanszékvezető írásos beleegyezése szükséges. A kérvény a tanszékvezetőnek és a demonstrátoroknak egyidejűleg megküldött e-mail formájában lehet érvényes.</p>
      
      <p> <b>Késedelem:</b> </p>
      <p>A késedelmes visszaadás következményei: Idegenkezűség okozta késedelem (lopás) kizárólag rendőrségi jegyzőkönyv benyújtásával fogadható el. Az aláírással önként vállalt határidő be nem tartása a késedelmi intervallum kétszeresének megfelelő kölcsönzési kizárást von maga után. Egy hetet meghaladó késedelem esetén a kizárás 2 hónap.</p>
    </div>
    
  </div>
  
  <script src="https://cdn.jsdelivr.net/npm/public-google-sheets-parser@latest"></script>
  <script>
    const spreadsheetId = '1NLObQz4dn4P1naTX6Wf2FYgriuu0GyhDx0EEQ1qSVZ8'
    const parser = new PublicGoogleSheetsParser()
    let equipmentRawData
    let allDevices = []
    let allCategories = []
    
    parser.parse( spreadsheetId, 'equipment' ).then( ( items ) => {
      allDevices = []
      equipmentRawData = items
      for ( x of equipmentRawData ) {
        let a = x.equipment
        let b
        if (x.availability === false) b = false
        if (x.availability === true) b = true
        if (x.availability === undefined) b = undefined
        let c = x.renter === undefined ? '' : x.renter
        let d = x.demo === undefined ? '' : x.demo
        let e = x.dateStart === undefined ? '' : x.dateStart
        let f = x.dateEnd === undefined ? '' : x.dateEnd
        let g = x.serialNumber === undefined ? '' : x.serialNumber
        let h = x.category
        let i = x.location === undefined ? '' : x.location
        let j = x.description === undefined ? '' : x.description
        let k = x.comment === undefined ? '' : x.comment
        allDevices.push( new Device( a, b, c, d, e, f, g, h, i, j, k ) )
      }
      
      allCategories = []
      allDevices.forEach( e => {
        if ( e.category.length !== 0 ) {
          allCategories.push( e.category )
        }
      })
      allCategories = [ ...new Set( allCategories ) ]
      
      let equipmentTable = document.getElementById( 'equipmentTable' )
      for ( category of allCategories ) {
        let tr = document.createElement( 'tr' )
        tr.classList.add( 'view' )
        let td = document.createElement( 'td' )
        td.innerHTML = category
        td.style.fontWeight = 'bold'
        tr.appendChild( td )
        
        let categoryTr = document.createElement( 'tr' )
        categoryTr.classList.add( 'fold' )
        let categoryTd = document.createElement( 'td' )
        categoryTd.colSpan = 4
        let categoryDiv = document.createElement( 'div' )
        categoryDiv.classList.add( 'fold-content' )
        let categoryTable = document.createElement( 'table' )
        let categoryTableHead = document.createElement( 'thead' )
        
        let categoryTableHeadTr = document.createElement( 'tr' )
        let categoryTableHeadThAvailability = document.createElement( 'th' )
        categoryTableHeadThAvailability.innerHTML = 'Elérhetőség'
        let categoryTableHeadThEquipment = document.createElement( 'th' )
        categoryTableHeadThEquipment.innerHTML = 'Eszköz'
        let categoryTableHeadThStart = document.createElement( 'th' )
        categoryTableHeadThStart.innerHTML = 'Kölcsönzés kezdete'
        let categoryTableHeadThEnd = document.createElement( 'th' )
        categoryTableHeadThEnd.innerHTML = 'Kölcsönzés vége'
        
        categoryTableHeadTr.appendChild( categoryTableHeadThAvailability )
        categoryTableHeadTr.appendChild( categoryTableHeadThEquipment )
        categoryTableHeadTr.appendChild( categoryTableHeadThStart )
        categoryTableHeadTr.appendChild( categoryTableHeadThEnd )
        categoryTableHead.appendChild( categoryTableHeadTr )
        
        let categoryTableBody = document.createElement( 'tbody' )
        
        for ( device of allDevices ) {
          if ( device.category === category ) {
            let categoryTableBodyTr = document.createElement( 'tr' )
            let name = document.createElement( 'td' )
            name.innerHTML = device.name
            let availability = document.createElement( 'td' )
            if ( device.availability === undefined ) {
              availability.innerHTML = 'Hiányzik'
              categoryTableBodyTr.classList.add('missing');
            }
            if ( device.availability === true ) {
              availability.innerHTML = 'Elérhető'
              categoryTableBodyTr.classList.add('available');
            }
            if ( device.availability === false ) {
              availability.innerHTML = 'Nem érhető el'
              categoryTableBodyTr.classList.add('rented');
            }
            let start = document.createElement( 'td' )
            if (device.availability === false && (device.renter === undefined || device.renter === '')) {
              start.innerHTML = "Ez az eszköz állandó használatban van, ezért nem elérhető."
            } else {
              start.innerHTML = device.dateStart
            }
            let end = document.createElement( 'td' )
            if (device.availability === false && (device.renter === undefined || device.renter === '')) {
              end.innerHTML = "Kérdés esetén fordulj a demonstrátorokhoz."
            } else {
              end.innerHTML = device.dateEnd
            }
            
            categoryTableBodyTr.appendChild( availability )
            categoryTableBodyTr.appendChild( name )
            categoryTableBodyTr.appendChild( start )
            categoryTableBodyTr.appendChild( end )
            
            categoryTableBody.appendChild( categoryTableBodyTr )
          }
        }
        
        categoryTable.appendChild( categoryTableHead )
        categoryTable.appendChild( categoryTableBody )
        categoryDiv.appendChild( categoryTable )
        categoryTd.appendChild( categoryDiv )
        categoryTr.appendChild( categoryTd )
        
        equipmentTable.appendChild( tr )
        equipmentTable.appendChild( categoryTr )
      }
      
      $(function(){
        $( '.fold-table tr.view' ).on( 'click', function() {
          $( this ).toggleClass( 'open' ).next( '.fold' ).toggleClass( 'open' )
        })
      })
    })
    
    parser.parse( spreadsheetId, 'demos' ).then( ( items ) => {
      let userList = items;
      const demosDiv = document.getElementById('demos');
      
      userList.forEach(user => {
        const p = document.createElement('p');
        p.innerHTML = `<b>${user.name}</b> (${user.email.trim()})`;
        demosDiv.appendChild(p);
      });
    })
    
    class Device {
      constructor( name, availability, renter, demo, dateStart, dateEnd, serialNumber, category, location, description, comment ) {
        this.name = name,
        this.availability = availability,
        this.renter = renter,
        this.demo = demo,
        this.dateStart = dateStart,
        this.dateEnd = dateEnd,
        this.serialNumber = serialNumber,
        this.category = category,
        this.location = location,
        this.description = description,
        this.comment = comment
      }
    }
  </script>
</body>
</html>